Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.tc
Class CheckInvariants

    java.lang.Object
      javafe.tc.CheckInvariants

class CheckInvariants
extends java.lang.Object

Constructor Summary
`(package private)` | `CheckInvariants()`

Method Summary
`static void` | `checkExpr(TypeSig sig, VarInit expr)`
`static void` | `checkObjectDesignator(TypeSig sig, ObjectDesignator od)`
`static void` | `checkStmt(TypeSig sig, Stmt s)`
`static void` | `checkType(Type t, boolean resolved)`
`static void` | `checkTypeDeclOfSig(TypeSig sig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckInvariants

    CheckInvariants()

Method Detail

### checkTypeDeclOfSig

    public static void checkTypeDeclOfSig(TypeSig sig)

### checkType

    public static void checkType(Type t,
                                 boolean resolved)

### checkStmt

    public static void checkStmt(TypeSig sig,
                                 Stmt s)

### checkExpr

    public static void checkExpr(TypeSig sig,
                                 VarInit expr)

### checkObjectDesignator

    public static void checkObjectDesignator(TypeSig sig,
                                             ObjectDesignator od)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage